<template>
    <div class="container">
        <h1 class="text-center mb-5 typewriter">Waar hondeneigenaren <br> en hondenbedrijven elkaar vinden</h1>

        <div class="row d-none d-lg-flex" style="height: 400px">
            <div class="col-lg-6 d-flex">
                <div v-if="!hoverRight"
                     class="flex-fill background-dws mb-1 mb-lg-0 d-flex justify-content-center align-items-center position-relative"
                     style="cursor: pointer;"
                     @mouseenter.stop="hoverLeft = true"
                     @mouseleave.stop="hoverLeft = false"
                     @click="visitDws">
                    <div style="position: absolute; top: 0; right: 0" class="w-100 h-100"
                         :class="hoverLeft ? 'overlay-hovered' : 'overlay'">
                    </div>

                    <button class="btn btn-primary">Ik heb een hondenbedrijf</button>
                </div>

                <div v-else class="p-4 bg-gradient-success text-white slide-in-fwd-center">
                    <div class="h3 text-white">DoggyDoggy voor hondeneigenaren</div>

                    <website-item-list :items="endUserItems"
                                       class="mb-4 text-white"></website-item-list>
                </div>
            </div>

            <div class="col-lg-6 d-flex">
                <div v-if="!hoverLeft"
                     class="flex-fill background-enduser d-flex justify-content-center align-items-center position-relative"
                     style="cursor: pointer;"
                     @mouseenter.stop="hoverRight = true"
                     @mouseleave.stop="hoverRight = false"
                     @click="visitEnduser">
                    <div style="position: absolute; top: 0; right: 0" class="w-100 h-100"
                         :class="hoverRight ? 'overlay-hovered' : 'overlay'">
                    </div>
                    <button class="btn btn-success">Ik zoek een hondenbedrijf</button>
                </div>

                <div v-else class="p-4 bg-gradient-primary text-white slide-in-fwd-center">
                    <div class="h3 text-white">DoggyDoggy voor hondenbedrijven</div>

                    <website-item-list :items="dwsItems"
                                       class="mb-4 text-white"></website-item-list>
                </div>
            </div>
        </div>

        <div class="row d-lg-none">
            <div class="col-lg-6 mb-3">
                <div class="flex-fill background-dws d-flex justify-content-center align-items-center position-relative"
                     style="cursor: pointer; height: 200px"
                     @click="visitDws">
                    <div style="position: absolute; top: 0; right: 0" class="w-100 h-100"
                         :class="hoverLeft ? 'overlay-hovered' : 'overlay'">
                    </div>

                    <button class="btn btn-primary">Ik heb een hondenbedrijf</button>
                </div>

                <div class="p-4 bg-gradient-primary text-white slide-in-fwd-center">
                    <div class="h3 text-white">DoggyDoggy voor hondenbedrijven</div>

                    <website-item-list :items="dwsItems"
                                       class="mb-4 text-white"></website-item-list>
                </div>
            </div>

            <div class="col-lg-6">
                <div class="flex-fill background-enduser d-flex justify-content-center align-items-center position-relative"
                     style="cursor: pointer; height: 200px"
                     @click="visitEnduser">
                    <div style="position: absolute; top: 0; right: 0" class="w-100 h-100"
                         :class="hoverRight ? 'overlay-hovered' : 'overlay'">
                    </div>
                    <button class="btn btn-success">Ik zoek een hondenbedrijf</button>
                </div>

                <div class="p-4 bg-gradient-success text-white slide-in-fwd-center">
                    <div class="h3 text-white">DoggyDoggy voor hondeneigenaren</div>

                    <website-item-list :items="endUserItems"
                                       class="mb-4 text-white"></website-item-list>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
module.exports = {
    props: [],
    data() {
        return {
            hoverLeft: false,
            hoverRight: false,
            dwsItems: [{
                text: 'Laat klanten online diensten aanvragen'
            }, {
                text: 'Houd controle over je planning'
            }, {
                text: 'Regel je logistiek snel en gemakkelijk'
            }, {
                text: 'Verstuur facturen met 1 druk op de knop'
            },],
            endUserItems: [{
                text: 'Vind een hondenbedrijf bij jou in de buurt'
            }, {
                text: 'Meld je aan als klant bij één of meerdere bedrijven'
            }, {
                text: 'Vraag diensten aan in je online portaal'
            },]
        }
    },
    computed: {},
    methods: {
        visitDws() {
            localStorage.userType = 'dws';
            window.location = '/hondenbedrijf'
        },
        visitEnduser() {
            localStorage.userType = 'enduser';
            window.location = '/hondeneigenaar'
        }
    },
    components: {
        'website-item-list': httpVueLoader('/public/components/website-item-list.vue'),
    },
    watch: {},
    created() {
        if (localStorage.userType === 'enduser') {
            window.location = '/hondeneigenaar'
        } else if (localStorage.userType === 'dws') {
            window.location = '/hondenbedrijf'
        }
    },
}
</script>

<style scoped>
.overlay {
    opacity: 0.5;
    background-color: var(--dark);
}

.overlay-hovered {
    background-color: var(--dark);
    opacity: 0.0;
}

.background-dws,
.background-enduser {
    background-size: cover;
    transition: all .4s ease;
}

.background-dws {
    background-image: url('/public/img/website/homepagina-hondenbedrijf.webp');
}

.background-enduser {
    background-image: url('/public/img/website/homepagina-hondeneigenaar.webp');
}

.background-dws:hover,
.background-enduser:hover {
    border-radius: 10px / 10px;
}

.background-dws:hover {
    box-shadow: 0 0 12px var(--primary);
}

.background-enduser:hover {
    box-shadow: 0 0 12px var(--success);
}

.jumbotron-content {
    min-height: 150px;
    overflow-y: auto;
}

.slide-in-fwd-center {
    -webkit-animation: slide-in-fwd-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
    animation: slide-in-fwd-center 0.4s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

/* ----------------------------------------------
 * Generated by Animista on 2024-7-11 12:45:3
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation slide-in-fwd-center
 * ----------------------------------------
 */
@-webkit-keyframes slide-in-fwd-center {
    0% {
        -webkit-transform: translateZ(-1400px);
        transform: translateZ(-1400px);
        opacity: 0;
    }

    100% {
        -webkit-transform: translateZ(0);
        transform: translateZ(0);
        opacity: 1;
    }
}

@keyframes slide-in-fwd-center {
    0% {
        -webkit-transform: translateZ(-1400px);
        transform: translateZ(-1400px);
        opacity: 0;
    }

    100% {
        -webkit-transform: translateZ(0);
        transform: translateZ(0);
        opacity: 1;
    }
}
</style>